# This file is part of the Django-fatpages project, and thus being
# redistributed under the same terms, ie.: the GPL v3 license.
# See LICENSE files for more details

def import_markups():
    markups = [
        ('html', _('HTML w/o linebreaks')),
        ('linebreaks', _('HTML w/ linebreaks'))
    ]
    # Ugly but efficient: try to check what are the available markups
    try:
        import docutils
        markups.append(('restructuredtext', 'reStructuredText'))
    except ImportError:
        pass
    try:
        import markdown
        markups.append(('markdown', 'Markdown'))
    except ImportError:
        pass
    try:
        import textile
        markups.append(('textile', 'Textile'))
    except ImportError:
        pass
    return tuple(markups)

# EOF
