# This file is part of the Django-fatpages project, and thus being
# redistributed under the same terms, ie.: the GPL v3 license.
# See LICENSE files for more details

from models import FatPage, MenuItem
from django.shortcuts import get_object_or_404
from django.views.generic.simple import direct_to_template
DEFAULT_TEMPLATE = 'default.html'

MENU_ITEMS = MenuItem.objects.order_by('order')

def fatpage(request, url):
    """
    Fat Page view.
    """
    if not url.startswith('/'):
        url = "/" + url
    fatpage = get_object_or_404(FatPage, url__exact=url)
    # less code, more fun.
    return direct_to_template(request, DEFAULT_TEMPLATE,
        extra_context={'fatpage': fatpage, 'menuitems': MENU_ITEMS})

# EOF
